<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	
	extract($_POST);
	$siguiente=$tipop;
	$qPP = "SELECT idreg, inversionista.id_inver, rfc, nombre, appat, apmat, referencia, nocuenta, banco_idbanco, cd FROM `regs2` join inversionista on inversionista.id_inver=regs2.id_inver WHERE idreg='".$lareg."'";
	echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script><center>
		
		<font size=\"5\"><b>Pago de Regal&iacute;as</b><font><br>";
	
	if($tipop==1){echo"<font size=\"3\">Tipo de Pago: <b>Dep&oacute;sito a Cuenta</b><font><br>";
		$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
		while (($objetoPP=mysqli_fetch_object($rPP)) )
{$id_inv=$objetoPP->id_inver; $idbanco=$objetoPP->banco_idbanco;
	echo"
	
	<br><b>Referencia </b> $objetoPP->referencia  <b>R.F.C. </b> $objetoPP->rfc  <br>
	Nombre: <b>$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</b><br>
	<br>
	<table>
	<tr align=\"right\"><td>Total de Regalias a recibir: $</td> 
	<td><b>$tgenerado</b> </td></tr>
	<tr align=\"right\"><td>- Impuestos $ </td> <td><b>$timp</b></td>
	</tr><tr align=\"right\"><td>Total a Depositar $</td> <td><b>$tpagar</b></td></tr></table><br>
	
	<form name=\"Agrega\" action=\"pago_regs3.php\" method=\"post\">
	<table><tr><td>Fecha de Pago:</td><td><input type=\"text\" size=\"8\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td></tr><tr><td>
		<label>Banco: </label></td><td> <select name=\"banco\"><option value=\"0\"> Seleccionar Cuenta</option>
	 												   ";
	 													   	 	
	 															$qa = "SELECT * FROM banco";
																$ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	 															$j=1;
																while($reg = mysqli_fetch_array($ca))
																{
																	if($j==$idbanco){echo "<option value='$j' selected>".$reg['nombre'].'</option>';}else
			 													 echo "<option value='$j'>".$reg['nombre'].'</option>';
			  													 $j++;
			 													}
	    														
	 													   echo"</select></td></tr><tr><td>No. de cuenta </td><td><input type=\"text\" name=\"cuenta\" size=\"10\" value=\"$objetoPP->nocuenta\" >
														   </td></tr><tr><td>Folio </td><td><input type=\"text\" name=\"folio\" size=\"10\" value=\"\" ></td></tr></table><br>Observaciones<br>
														   <TEXTAREA COLS=\"40\" ROWS=\"3\" NAME=\"comentarios\"></textarea> <br>
														   <input type=hidden name=impuestos value=$timp />
														   <input type=hidden name=eldeposito value=$tpagar />
														   <input type=hidden name=idreg value=$lareg />
														   <input type=hidden name=elpago value=$tipop />
														   <input type=\"submit\" value=\"Agregar Deposito a Sistema\" name=\"pago\"></form>";
}
		
		
		
		}
	
	if($tipop==2){echo"<font size=\"3\">Tipo de Pago: <b>Pago en Efectivo</b><font><br>";
		$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
		while (($objetoPP=mysqli_fetch_object($rPP)) )
{$id_inv=$objetoPP->id_inver; $idbanco=$objetoPP->banco_idbanco; $idcd=$objetoPP->cd;
	echo"
	
	<br><b>Referencia </b> $objetoPP->referencia  <b>R.F.C. </b> $objetoPP->rfc  <br>
	Nombre: <b>$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</b><br>
	<br>
	<table>
	<tr align=\"right\"><td>Total de Regalias a recibir: $</td> 
	<td><b>$tgenerado</b> </td></tr>
	<tr align=\"right\"><td>- Impuestos $ </td> <td><b>$timp</b></td>
	</tr><tr align=\"right\"><td>Total a Depositar $</td> <td><b>$tpagar</b></td></tr></table><br>
	
	<form name=\"Agrega\" action=\"pago_regs3.php\" method=\"post\">
	<table><tr><td>Fecha de Pago:</td><td><input type=\"text\" size=\"8\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td></tr><tr><td>
		<label>Pagado por: </label></td><td> <select name=\"folio\"><option value=\"0\"> Seleccionar Cuenta</option>
	 												   ";
	 													   	 	
	 															$qa = "SELECT * FROM usuarios_ci";
																$ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	 															$j=1;
																while($reg = mysqli_fetch_array($ca))
																{
																	if($j==$idcd){echo "<option selected>".$reg['nombre'].'</option>';}else
			 													 echo "<option>".$reg['nombre'].'</option>';
			  													 $j++;
			 													}
	    														
	 													   echo"</select></td></tr></table><br>Observaciones<br>
														   <TEXTAREA COLS=\"40\" ROWS=\"3\" NAME=\"comentarios\"></textarea> <br>
														   <input type=hidden name=impuestos value=$timp />
														   <input type=hidden name=eldeposito value=$tpagar />
														   <input type=hidden name=idreg value=$lareg />
														   <input type=hidden name=elpago value=$tipop />
														   <input type=\"submit\" value=\"Agregar Deposito a Sistema\" name=\"pago\"></form>";
}
		
		
		
		}
	
	if($tipop==3){echo"<font size=\"3\">Tipo de Pago: <b>Pago con Producto</b><font><br>";
		$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
		while (($objetoPP=mysqli_fetch_object($rPP)) )
{$id_inv=$objetoPP->id_inver; $idbanco=$objetoPP->banco_idbanco; $idcd=$objetoPP->cd;
$timp=0; $tpagar=$tgenerado;
	echo"
	
	<br><b>Referencia </b> $objetoPP->referencia  <b>R.F.C. </b> $objetoPP->rfc  <br>
	Nombre: <b>$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</b><br>
	<br>
	<table>
	<tr align=\"right\"><td>Total de Regalias a recibir: $</td> 
	<td><b>$tgenerado</b> </td></tr>
	<tr align=\"right\"><td>- Impuestos $ </td> <td><b>$timp</b></td>
	</tr><tr align=\"right\"><td>Total a Depositar $</td> <td><b>$tpagar</b></td></tr></table><br>
	
	<form name=\"Agrega\" action=\"pago_regs3.php\" method=\"post\">
	<table><tr><td>Fecha de Pago:</td><td><input type=\"text\" size=\"8\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td></tr><tr><td>
		<label>Entregado por: </label></td><td> <select name=\"folio\"><option value=\"0\"> Seleccionar Cuenta</option>
	 												   ";
	 													   	 	
	 															$qa = "SELECT * FROM usuarios_ci";
																$ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	 															$j=1;
																while($reg = mysqli_fetch_array($ca))
																{
																	if($j==$idcd){echo "<option selected>".$reg['nombre'].'</option>';}else
			 													 echo "<option>".$reg['nombre'].'</option>';
			  													 $j++;
			 													}
	    														
	 													   echo"</select></td></tr></table><br>Observaciones<br>
														   <TEXTAREA COLS=\"40\" ROWS=\"3\" NAME=\"comentarios\"></textarea> <br>
														   <input type=hidden name=impuestos value=$timp />
														   <input type=hidden name=eldeposito value=$tpagar />
														   <input type=hidden name=idreg value=$lareg />
														   <input type=hidden name=elpago value=$siguiente />
														   <input type=\"submit\" value=\"Agregar Deposito a Sistema\" name=\"pago\"></form>";
}
		
		
		
		}
	
			  

?>
